Cyberduck Mountain Duck CLI

#9705 closed feature (fixed)

Support SSH_MSG_USERAUTH_PASSWD_CHANGEREQ

Reported by: stallion Owned by: dkocher
Priority: normal Milestone: 5.2
Component: sftp Version: 5.1
Severity: normal Keywords:
Cc: business@riseup.net Architecture: Intel
Platform: Windows 7

Description

Hello,

When I connect to our sFTP server using Cyberduck, and the user's account (Active Directory) is set to "Change Password on Next Logon", I am unable to change the password (there is no dialog box to enter the current password and the new password).

There is a dialog box that appears (attached) but it only reports that "The user's password must be changed before signing in."

Other sFTP clients like WinSCP and FileZilla have this functionality (attached). I believe password changes are detailed in the SSH RFC 4252 (SSH_MSG_USERAUTH_PASSWD_CHANGEREQ).

Is there a client-side configuration change needed to support password changes, or is this even a feature?

Thanks!

Pat

Attachments (2)

cyberduck_passwordchange.jpg (23.4 KB) - added by stallion on Sep 22, 2016 at 6:13:07 PM.
winscp_passwordchange.jpg (34.5 KB) - added by stallion on Sep 22, 2016 at 6:13:18 PM.

Download all attachments as: .zip

Change History (9)

Changed on Sep 22, 2016 at 6:13:07 PM by stallion

Changed on Sep 22, 2016 at 6:13:18 PM by stallion

comment:1 Changed on Sep 22, 2016 at 6:13:58 PM by stallion

  • Architecture set to Intel
  • Cc business@riseup.net added

comment:2 Changed on Sep 23, 2016 at 9:41:59 AM by dkocher

  • Milestone set to 5.2
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Changing password to Support SSH_MSG_USERAUTH_PASSWD_CHANGEREQ

comment:3 Changed on Sep 23, 2016 at 9:45:48 AM by dkocher

We implemented this in #8821 but this possibly needs some more changes.

comment:4 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.2 to 5.1.3

Milestone renamed

comment:5 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.1.3 to 6.0

Ticket retargeted after milestone closed

comment:6 Changed on Oct 17, 2016 at 2:57:15 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fix in r21697. You just need to provide the updated password. The previous password will be read from the saved passwords.

comment:7 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

Note: See TracTickets for help on using tickets.